http://robomaker.{region}.amazonaws.com/createRobotApplicationCreates a robot application.
The name of the robot application.
A map that contains tag keys and tag values that are attached to the robot application.
The sources of the robot application.
The object that contains the Docker image URI for either your robot or simulation applications.
Information about a robot software suite (ROS distribution).
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://robomaker.{region}.amazonaws.com/createRobotApplication' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://robomaker.{region}.amazonaws.com/createRobotApplicationCreates a robot application.
The name of the robot application.
A map that contains tag keys and tag values that are attached to the robot application.
The sources of the robot application.
The object that contains the Docker image URI for either your robot or simulation applications.
Information about a robot software suite (ROS distribution).
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://robomaker.{region}.amazonaws.com/createRobotApplication' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}